Go compiling issue

Some user have issues with build go-bitsong. Anyone else having the same issue?

compile: version "go1.12" does not match go tool version "go1.12.7"
# math/bits
compile: version "go1.12" does not match go tool version "go1.12.7"
# runtime/internal/atomic
compile: version "go1.12" does not match go tool version "go1.12.7"
# unicode/utf16
compile: version "go1.12" does not match go tool version "go1.12.7"
# crypto/internal/subtle
compile: version "go1.12" does not match go tool version "go1.12.7"
# internal/nettrace
compile: version "go1.12" does not match go tool version "go1.12.7"
# internal/x/crypto/cryptobyte/asn1
compile: version "go1.12" does not match go tool version "go1.12.7"
# crypto/subtle
compile: version "go1.12" does not match go tool version "go1.12.7"
# container/list
compile: version "go1.12" does not match go tool version "go1.12.7"
# golang.org/x/crypto/internal/subtle
compile: version "go1.12" does not match go tool version "go1.12.7"
# github.com/tendermint/tendermint/version
compile: version "go1.12" does not match go tool version "go1.12.7"
# internal/x/crypto/curve25519
compile: version "go1.12" does not match go tool version "go1.12.7"
# github.com/tendermint/tendermint/abci/example/code
compile: version "go1.12" does not match go tool version "go1.12.7"
# golang.org/x/crypto/salsa20/salsa
compile: version "go1.12" does not match go tool version "go1.12.7"
# golang.org/x/crypto/curve25519
compile: version "go1.12" does not match go tool version "go1.12.7"
# github.com/BitSongOfficial/go-bitsong/types/util
compile: version "go1.12" does not match go tool version "go1.12.7"
# runtime/cgo
compile: version "go1.12" does not match go tool version "go1.12.7"
Makefile:90: recipe for target 'install' failed
make: *** [install] Error 2

Guide updated with go 1.12